[x32] After update to Xorg 1.20 my VIA PN800 boots to black screen

manjaro32

#1

Hello fellow Manjari,
After having run this update and rebooted, I receive a black screen after the Manjaro boot splash instead of the Xfce login window .
Grub is working as normal and offers me two start options:

Manjaro Linux (Kernel: 4.4.131.-2.0-Manjaro x32)
Manjaro Linux (Kernel: 4.4.131.-2.0-Manjaro x32 - fallback initramfs)

Both start options lead to the same black screen.
It’s laptop Fujitsu-Siemens Amilo L7300 with Via PN800 graphics. Would appreciate any help to troubleshoot this or explained how to return to the previous kernel.


[Stable Update x32] 2018-05-27 - Big update: Xorg 1.20, GCC 8.1.0, kernels, KDE and Plasma, LibreOffice, NVIDIA driver EOL
[Testing Update x32] 2018-05-17 to 26 - Xorg 1.20, GCC 8.1.0, rebuilds, kernels, NVIDIA EOL
#2

I moved your report to a separate topic, because it might take several posts to troubleshoot.

Can you try boot to TTY? Press e at Grub, then move the cursor to the end of line which starts with “linux” and write a 3 there, then press Ctrl+X.


#3

In the meantime read this guide to help you provide info (notice gist).
Edit: And this (I guess you know that already…)


#4

Thanks for the replies, I feel really looked after already. Even had my post moved to its own topic!

No, not through that method, sorry.
I also followed the advice for TTY given in petsam’s link like this:

linux /boot/vmlinuz-4.4-i686 root=UUID=1f796b68-e11a-4aa0-865e-c5d12e06e393 rw resume=UUID=782052d4-a3bd-4413-bbea-793f8a31d03d \quiet splash

I change to:

linux /boot/vmlinuz-4.4-i686 root=UUID=1f796b68-e11a-4aa0-865e-c5d12e06e393 rw systemd.unit=multi-user.target (or ‘3’)

, but the closest I get is a boot with a lot of running text instead of the splash screen. It then goes to the black screen as before. No TTY here either.
Is it the “chroot method” next with a live USB?


#5

I will try to help you with my experience with my machine Via Eden VX800.
What I want to achieve is to get /var/log/Xorg.0.log and /var/log/pacman.log
Ok, you can try to add two parameters this time: 3 modprobe.blacklist=viafb

If that doesn’t work, you can indeed try to boot with a live USB, mount the disk and get the files.


#6

Bingo, I now have TTY1, and after logging in it says

[theo@manjaro ~]$

#7

Then you can install wgetpaste and use it to upload to pastebin, then write down the link which it gives and share it.

sudo pacman -S wgetpaste
inxi -Fxxxz | wgetpaste -s gists
cat /var/log/Xorg.0.log | wgetpaste -s gists
cat /var/log/pacman.log | wgetpaste -s gists

#8

Wgetpaste installed fine, but I am unable to retreive and share the logs because of some authentication errors …
But, now I have made a live USB and can see the logs. Xorg.0.log is empty (0 bytes) and pacman.log is 2.1 MB and covers over 3 years of troublefree use. What are we looking for in here?


#9

There might be a Xorg.1.log or Xorg.0.log.old.
From pacman.log we need only the final part where you ran the last update.

A different idea to check: If modprobe.blacklist=viafb worked so well, then try to add it later without the 3. It might boot to GUI.


#10

Xorg.0.log.old is also blank, the Xorg.1.log is from 19 April, but system had the update on 22 May.
Here’s the relevant section in pacman.log:

[2018-05-22 10:28] [PAMAC] synchronizing package lists
[2018-05-22 10:28] [ALPM] transaction started
[2018-05-22 10:28] [ALPM] upgraded manjaro-system (20180513-1 -> 20180516-1)
[2018-05-22 10:28] [ALPM] transaction completed
[2018-05-22 10:28] [ALPM] running 'systemd-update.hook'...
[2018-05-22 10:34] [ALPM] transaction started
[2018-05-22 10:34] [ALPM] upgraded tzdata (2018d-1.0 -> 2018e-1.0)
[2018-05-22 10:34] [ALPM] upgraded glibc (2.27-2.0 -> 2.27-3.1)
[2018-05-22 10:34] [ALPM-SCRIPTLET] Generating locales...
[2018-05-22 10:34] [ALPM-SCRIPTLET]   en_GB.UTF-8... done
[2018-05-22 10:34] [ALPM-SCRIPTLET] Generation complete.
[2018-05-22 10:35] [ALPM] upgraded gcc-libs (7.3.1+20180406-1.0 -> 8.1.0-1.1)
[2018-05-22 10:35] [ALPM] upgraded e2fsprogs (1.44.1-1.0 -> 1.44.2-1.0)
[2018-05-22 10:35] [ALPM] upgraded krb5 (1.16-1.0 -> 1.16.1-1.0)
[2018-05-22 10:35] [ALPM] upgraded libtirpc (1.0.3-1.0 -> 1.0.3-2.0)
[2018-05-22 10:35] [ALPM] upgraded pam (1.3.0-1 -> 1.3.0-2.0)
[2018-05-22 10:35] [ALPM] upgraded libgpg-error (1.29-1.0 -> 1.31-1.0)
[2018-05-22 10:35] [ALPM] upgraded cryptsetup (2.0.2-1.0 -> 2.0.3-1.0)
[2018-05-22 10:35] [ALPM] upgraded accountsservice (0.6.47-1.0 -> 0.6.49-1.0)
[2018-05-22 10:35] [ALPM] upgraded alsa-plugins (1.1.6-1.0 -> 1.1.6-2.0)
[2018-05-22 10:35] [ALPM] upgraded binutils (2.30-3.0 -> 2.30-4.1)
[2018-05-22 10:35] [ALPM] upgraded bluez (5.49-3.0 -> 5.49-4.0)
[2018-05-22 10:35] [ALPM] upgraded bluez-libs (5.49-3.0 -> 5.49-4.0)
[2018-05-22 10:35] [ALPM] upgraded ca-certificates-mozilla (3.36.1-1.0 -> 3.37-1.0)
[2018-05-22 10:35] [ALPM] upgraded libdrm (2.4.91-3.0 -> 2.4.92-1.0)
[2018-05-22 10:35] [ALPM] upgraded libx264 (2:152.20171224-1.0 -> 2:152.20171224-2.0)
[2018-05-22 10:35] [ALPM] upgraded wayland (1.14.0-1 -> 1.15.0-1.1)
[2018-05-22 10:35] [ALPM] upgraded mesa (18.0.2-1.0 -> 18.0.3-4.1)
[2018-05-22 10:35] [ALPM] upgraded ffmpeg (1:3.4.2-2.0 -> 1:4.0-2.0)
[2018-05-22 10:35] [ALPM] upgraded chromaprint (1.4.3-1.0 -> 1.4.3-2.0)
[2018-05-22 10:35] [ALPM] upgraded libpsl (0.20.1-2.0 -> 0.20.2-1.0)
[2018-05-22 10:35] [ALPM] upgraded curl (7.59.0-2.0 -> 7.60.0-1.0)
[2018-05-22 10:35] [ALPM] upgraded ffmpegthumbnailer (2.2.0-1 -> 2.2.0-2.0)
[2018-05-22 10:35] [ALPM] upgraded nss (3.36.1-1.0 -> 3.37-1.0)
[2018-05-22 10:35] [ALPM] upgraded librsvg (2:2.42.3-1.2 -> 2:2.42.4-1.0)
[2018-05-22 10:35] [ALPM] upgraded libepoxy (1.5.1-1.0 -> 1.5.2-1.0)
[2018-05-22 10:35] [ALPM] upgraded wayland-protocols (1.13-1.0 -> 1.14-1.0)
[2018-05-22 10:35] [ALPM] upgraded libtool (2.4.6+40+g6ca5e224-5.0 -> 2.4.6+40+g6ca5e224-6.0)
[2018-05-22 10:35] [ALPM] upgraded libsoup (2.62.1-1.0 -> 2.62.2-1.0)
[2018-05-22 10:35] [ALPM] upgraded firefox (60.0-0 -> 60.0.1-0)
[2018-05-22 10:35] [ALPM] upgraded firefox-i18n-en-gb (60.0-0 -> 60.0.1-1.0)
[2018-05-22 10:35] [ALPM] upgraded flashplugin (29.0.0.171-0 -> 29.0.0.171-1.0)
[2018-05-22 10:35] [ALPM] upgraded fluidsynth (1.1.10-1.0 -> 1.1.11-1.0)
[2018-05-22 10:36] [ALPM] upgraded gcc (7.3.1+20180406-1.0 -> 8.1.0-1.1)
[2018-05-22 10:36] [ALPM] upgraded python (3.6.5-2.0 -> 3.6.5-3.0)
[2018-05-22 10:36] [ALPM] upgraded pinentry (1.1.0-2.0 -> 1.1.0-3.0)
[2018-05-22 10:36] [ALPM] upgraded gnupg (2.2.6-1.0 -> 2.2.7-1.0)
[2018-05-22 10:36] [ALPM] upgraded gnome-disk-utility (3.28.1-1.0 -> 3.28.2-1.0)
[2018-05-22 10:36] [ALPM] upgraded gnome-keyring (1:3.28.0.2-1.0 -> 1:3.28.2-1.0)
[2018-05-22 10:36] [ALPM] upgraded gnome-system-monitor (3.28.1-1.0 -> 3.28.2-1.0)
[2018-05-22 10:36] [ALPM] upgraded gstreamer (1.14.0-1.0 -> 1.14.1-1.0)
[2018-05-22 10:36] [ALPM] upgraded gst-plugins-base-libs (1.14.0-1.0 -> 1.14.1-1.0)
[2018-05-22 10:36] [ALPM] upgraded gst-libav (1.14.0-1.0 -> 1.14.1-1.0)
[2018-05-22 10:36] [ALPM] upgraded gst-plugins-base (1.14.0-1.0 -> 1.14.1-1.0)
[2018-05-22 10:36] [ALPM] upgraded libx264-all (2:152.20171224-1.0 -> 2:152.20171224-2.0)
[2018-05-22 10:36] [ALPM] upgraded gst-plugins-ugly (1.14.0-1.0 -> 1.14.1-1.0)
[2018-05-22 10:36] [ALPM] upgraded gvfs (1.36.1-1.0 -> 1.36.2-1.0)
[2018-05-22 10:36] [ALPM] upgraded gvfs-afc (1.36.1-1.0 -> 1.36.2-1.0)
[2018-05-22 10:36] [ALPM] upgraded gvfs-gphoto2 (1.36.1-1.0 -> 1.36.2-1.0)
[2018-05-22 10:36] [ALPM] upgraded gvfs-mtp (1.36.1-1.0 -> 1.36.2-1.0)
[2018-05-22 10:36] [ALPM] upgraded gvfs-smb (1.36.1-1.0 -> 1.36.2-1.0)
[2018-05-22 10:36] [ALPM] upgraded libmagick (7.0.7.28-1.0 -> 7.0.7.32-1.0)
[2018-05-22 10:36] [ALPM] upgraded imagemagick (7.0.7.28-1.0 -> 7.0.7.32-1.0)
[2018-05-22 10:36] [ALPM] upgraded intel-ucode (20180312-1.0 -> 20180425-1.0)
[2018-05-22 10:36] [ALPM] upgraded libinput (1.10.6-1.0 -> 1.10.7-1.0)
[2018-05-22 10:36] [ALPM] upgraded xdg-utils (1.1.2-2.0 -> 1.1.3-1.0)
[2018-05-22 10:36] [ALPM] upgraded kcoreaddons (5.45.0-1.0 -> 5.46.0-1.0)
[2018-05-22 10:36] [ALPM] upgraded kauth (5.45.0-1.0 -> 5.46.0-1.0)
[2018-05-22 10:36] [ALPM] upgraded kitemmodels (5.45.0-1.0 -> 5.46.0-1.0)
[2018-05-22 10:36] [ALPM] upgraded libdmx (1.1.3-1 -> 1.1.4-1.0)
[2018-05-22 10:36] [ALPM] upgraded libebml (1.3.5-1 -> 1.3.6-1.0)
[2018-05-22 10:36] [ALPM] upgraded libmagick6 (6.9.9.40-1.0 -> 6.9.9.45-1.0)
[2018-05-22 10:36] [ALPM] upgraded libmatroska (1.4.8-1 -> 1.4.9-1.0)
[2018-05-22 10:36] [ALPM] upgraded libnetfilter_conntrack (1.0.6-1 -> 1.0.7-1.0)
[2018-05-22 10:36] [ALPM] upgraded libnm (1.10.6-3.0 -> 1.10.8-1.0)
[2018-05-22 10:36] [ALPM] upgraded libnm-glib (1.10.6-3.0 -> 1.10.8-1.0)
[2018-05-22 10:36] [ALPM] upgraded libsrtp (1:2.1.0-1.0 -> 1:2.2.0-1.0)
[2018-05-22 10:36] [ALPM] upgraded libuv (1.20.2-1.0 -> 1.20.3-1.0)
[2018-05-22 10:37] [ALPM] upgraded linux44 (4.4.131-1 -> 4.4.131-2.0)
[2018-05-22 10:37] [ALPM-SCRIPTLET] >>> Updating module dependencies. Please wait ...
[2018-05-22 10:37] [ALPM] upgraded linux44-ndiswrapper (1.61-60 -> 1.61-61)
[2018-05-22 10:37] [ALPM] upgraded mono (5.10.1.47-1.0 -> 5.12.0.226-1.0)
[2018-05-22 10:37] [ALPM-SCRIPTLET] Mono Certificate Store Sync - version 5.12.0.0
[2018-05-22 10:37] [ALPM-SCRIPTLET] Populate Mono certificate store from a concatenated list of certificates.
[2018-05-22 10:37] [ALPM-SCRIPTLET] Copyright 2002, 2003 Motus Technologies. Copyright 2004-2008 Novell. BSD licensed.
[2018-05-22 10:37] [ALPM-SCRIPTLET] 
[2018-05-22 10:37] [ALPM-SCRIPTLET] Importing into legacy system store:
[2018-05-22 10:37] [ALPM-SCRIPTLET] I already trust 136, your new list has 135
[2018-05-22 10:37] [ALPM-SCRIPTLET] Import process completed.
[2018-05-22 10:37] [ALPM-SCRIPTLET] 
[2018-05-22 10:37] [ALPM-SCRIPTLET] Importing into BTLS system store:
[2018-05-22 10:37] [ALPM-SCRIPTLET] I already trust 136, your new list has 135
[2018-05-22 10:37] [ALPM-SCRIPTLET] Import process completed.
[2018-05-22 10:37] [ALPM] upgraded nano (2.9.6-1.0 -> 2.9.7-1.0)
[2018-05-22 10:37] [ALPM] warning: directory permissions differ on /etc/NetworkManager/system-connections/
filesystem: 755  package: 700
[2018-05-22 10:37] [ALPM] upgraded networkmanager (1.10.6-3.0 -> 1.10.8-1.0)
[2018-05-22 10:37] [ALPM] upgraded openal (1.18.2-1 -> 1.18.2-2.0)
[2018-05-22 10:37] [ALPM] upgraded pcsclite (1.8.23-2.0 -> 1.8.23-3.0)
[2018-05-22 10:37] [ALPM] upgraded perl-net-http (6.17-1 -> 6.18-1.0)
[2018-05-22 10:37] [ALPM] upgraded python-dateutil (2.7.2-1.0 -> 2.7.3-1.0)
[2018-05-22 10:37] [ALPM] upgraded python-packaging (16.8-2 -> 17.1-1.0)
[2018-05-22 10:37] [ALPM] upgraded python-setuptools (1:39.1.0-1.0 -> 1:39.2.0-1.0)
[2018-05-22 10:37] [ALPM] upgraded python2-packaging (16.8-2 -> 17.1-1.0)
[2018-05-22 10:37] [ALPM] upgraded python2-setuptools (1:39.1.0-1.0 -> 1:39.2.0-1.0)
[2018-05-22 10:37] [ALPM] upgraded sudo (1.8.22-1.0 -> 1.8.23-2.0)
[2018-05-22 10:37] [ALPM] upgraded unrar (1:5.6.3-1.0 -> 1:5.6.4-1.0)
[2018-05-22 10:37] [ALPM] installed qt5-x11extras (5.10.1-1.0)
[2018-05-22 10:37] [ALPM] installed libplacebo (0.4.0-1.0)
[2018-05-22 10:37] [ALPM] upgraded vlc (2.2.8-4.0 -> 3.0.2-1.0)
[2018-05-22 10:38] [ALPM] upgraded webkit2gtk (2.20.1-1.0 -> 2.20.2-1.0)
[2018-05-22 10:38] [ALPM] upgraded wget (1.19.4-3.0 -> 1.19.5-1.0)
[2018-05-22 10:38] [ALPM] upgraded wxsqlite3 (4.0.2-1.0 -> 4.0.3-1.0)
[2018-05-22 10:38] [ALPM] upgraded xf86-video-vesa (2.4.0-1.0 -> 2.4.0-2.0)
[2018-05-22 10:38] [ALPM] upgraded xfce4-cpufreq-plugin (1.1.3-1 -> 1.2.0-1.0)
[2018-05-22 10:38] [ALPM] upgraded xfce4-terminal (0.8.7.3-1.0 -> 0.8.7.4-1.0)
[2018-05-22 10:38] [ALPM] upgraded xorg-server-common (1.19.6+13+gd0d1a694f-2.1 -> 1.20.0-2.0)
[2018-05-22 10:38] [ALPM] upgraded xorg-server (1.19.6+13+gd0d1a694f-2.1 -> 1.20.0-2.0)
[2018-05-22 10:38] [ALPM] transaction completed
[2018-05-22 10:38] [ALPM] running '90-linux44.hook'...
[2018-05-22 10:38] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux44.preset: 'default'
[2018-05-22 10:38] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-4.4-i686 -c /etc/mkinitcpio.conf -g /boot/initramfs-4.4-i686.img
[2018-05-22 10:38] [ALPM-SCRIPTLET] ==> Starting build: 4.4.131-2.0-MANJARO
[2018-05-22 10:38] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2018-05-22 10:38] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2018-05-22 10:38] [ALPM-SCRIPTLET]   -> Running build hook: [autodetect]
[2018-05-22 10:38] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2018-05-22 10:38] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2018-05-22 10:38] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2018-05-22 10:38] [ALPM-SCRIPTLET]   -> Running build hook: [keymap]
[2018-05-22 10:38] [ALPM-SCRIPTLET]   -> Running build hook: [plymouth]
[2018-05-22 10:38] [ALPM-SCRIPTLET]   -> Running build hook: [resume]
[2018-05-22 10:38] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2018-05-22 10:38] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2018-05-22 10:38] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2018-05-22 10:38] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: /boot/initramfs-4.4-i686.img
[2018-05-22 10:38] [ALPM-SCRIPTLET] ==> Image generation successful
[2018-05-22 10:38] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux44.preset: 'fallback'
[2018-05-22 10:38] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-4.4-i686 -c /etc/mkinitcpio.conf -g /boot/initramfs-4.4-i686-fallback.img -S autodetect
[2018-05-22 10:38] [ALPM-SCRIPTLET] ==> Starting build: 4.4.131-2.0-MANJARO
[2018-05-22 10:38] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2018-05-22 10:38] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2018-05-22 10:38] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2018-05-22 10:38] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2018-05-22 10:38] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2018-05-22 10:38] [ALPM-SCRIPTLET]   -> Running build hook: [keymap]
[2018-05-22 10:38] [ALPM-SCRIPTLET]   -> Running build hook: [plymouth]
[2018-05-22 10:38] [ALPM-SCRIPTLET]   -> Running build hook: [resume]
[2018-05-22 10:38] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2018-05-22 10:38] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2018-05-22 10:38] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2018-05-22 10:38] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: /boot/initramfs-4.4-i686-fallback.img
[2018-05-22 10:38] [ALPM-SCRIPTLET] ==> Image generation successful
[2018-05-22 10:38] [ALPM] running '99-grub.hook'...
[2018-05-22 10:38] [ALPM-SCRIPTLET] Generating grub configuration file ...
[2018-05-22 10:38] [ALPM-SCRIPTLET] Found background: /usr/share/grub/background.png
[2018-05-22 10:38] [ALPM-SCRIPTLET] Found Intel Microcode image
[2018-05-22 10:38] [ALPM-SCRIPTLET] Found linux image: /boot/vmlinuz-4.4-i686
[2018-05-22 10:38] [ALPM-SCRIPTLET] Found initrd image: /boot/initramfs-4.4-i686.img
[2018-05-22 10:39] [ALPM-SCRIPTLET] Found initrd fallback image: /boot/initramfs-4.4-i686-fallback.img
[2018-05-22 10:39] [ALPM-SCRIPTLET] Found memtest86+ image: /boot/memtest86+/memtest.bin
[2018-05-22 10:39] [ALPM-SCRIPTLET] done
[2018-05-22 10:39] [ALPM] running 'detect-old-perl-modules.hook'...
[2018-05-22 10:39] [ALPM-SCRIPTLET] perl: warning: Setting locale failed.
[2018-05-22 10:39] [ALPM-SCRIPTLET] perl: warning: Please check that your locale settings:
[2018-05-22 10:39] [ALPM-SCRIPTLET] 	LANGUAGE = (unset),
[2018-05-22 10:39] [ALPM-SCRIPTLET] 	LC_ALL = (unset),
[2018-05-22 10:39] [ALPM-SCRIPTLET] 	LC_COLLATE = "C",
[2018-05-22 10:39] [ALPM-SCRIPTLET] 	LANG = "en_US.utf8"
[2018-05-22 10:39] [ALPM-SCRIPTLET]     are supported and installed on your system.
[2018-05-22 10:39] [ALPM-SCRIPTLET] perl: warning: Falling back to the standard locale ("C").
[2018-05-22 10:39] [ALPM] running 'gdk-pixbuf-query-loaders.hook'...
[2018-05-22 10:39] [ALPM] running 'gio-querymodules.hook'...
[2018-05-22 10:39] [ALPM] running 'glib-compile-schemas.hook'...
[2018-05-22 10:39] [ALPM] running 'gtk-update-icon-cache.hook'...
[2018-05-22 10:39] [ALPM] running 'gvfsd.hook'...
[2018-05-22 10:39] [ALPM] running 'systemd-binfmt.hook'...
[2018-05-22 10:39] [ALPM] running 'systemd-daemon-reload.hook'...
[2018-05-22 10:39] [ALPM] running 'systemd-hwdb.hook'...
[2018-05-22 10:39] [ALPM] running 'systemd-tmpfiles.hook'...
[2018-05-22 10:39] [ALPM] running 'systemd-udev-reload.hook'...
[2018-05-22 10:39] [ALPM] running 'systemd-update.hook'...
[2018-05-22 10:39] [ALPM] running 'texinfo-install.hook'...
[2018-05-22 10:39] [ALPM] running 'update-ca-trust.hook'...
[2018-05-22 10:39] [ALPM] running 'update-desktop-database.hook'...
[2018-05-22 10:39] [ALPM] running 'update-mime-database.hook'...
[2018-05-22 10:39] [ALPM] running 'update-vlc-plugin-cache.hook'...

#11

Oh, you are using video-vesa.
Can you post the Xorg.0.log from the live session?
You might be able to run the more performant driver video-openchrome.


#12

Yes, funny enough it now contains a lot of exciting stuff:

[    24.111] 
X.Org X Server 1.20.0
X Protocol Version 11, Revision 0
[    24.111] Build Operating System: Linux Arch Linux
[    24.111] Current Operating System: Linux manjaro 4.4.131-2.0-MANJARO #1 SMP PREEMPT Wed May 16 18:36:55 UTC 2018 i686
[    24.111] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.4-i686 root=UUID=1f796b68-e11a-4aa0-865e-c5d12e06e393 rw modprobe.blacklist=viafb
[    24.111] Build Date: 18 May 2018  05:24:39PM
[    24.111]  
[    24.111] Current version of pixman: 0.34.0
[    24.111] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[    24.111] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    24.112] (==) Log file: "/var/log/Xorg.0.log", Time: Thu May 24 22:36:35 2018
[    24.226] (==) Using config directory: "/etc/X11/xorg.conf.d"
[    24.226] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    24.699] (==) No Layout section.  Using the first Screen section.
[    24.699] (==) No screen section available. Using defaults.
[    24.699] (**) |-->Screen "Default Screen Section" (0)
[    24.699] (**) |   |-->Monitor "<default monitor>"
[    24.699] (==) No device specified for screen "Default Screen Section".
	Using the first device section listed.
[    24.699] (**) |   |-->Device "Device0"
[    24.699] (==) No monitor specified for screen "Default Screen Section".
	Using a default monitor configuration.
[    24.699] (==) Automatically adding devices
[    24.700] (==) Automatically enabling devices
[    24.700] (==) Automatically adding GPU devices
[    24.700] (==) Automatically binding GPU devices
[    24.700] (==) Max clients allowed: 256, resource mask: 0x1fffff
[    24.737] (WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/100dpi".
[    24.737] 	Entry deleted from font path.
[    24.737] 	(Run 'mkfontdir' on "/usr/share/fonts/100dpi").
[    24.737] (WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/75dpi".
[    24.737] 	Entry deleted from font path.
[    24.737] 	(Run 'mkfontdir' on "/usr/share/fonts/75dpi").
[    24.737] (==) FontPath set to:
	/usr/share/fonts/misc,
	/usr/share/fonts/TTF,
	/usr/share/fonts/OTF,
	/usr/share/fonts/Type1
[    24.737] (==) ModulePath set to "/usr/lib/xorg/modules"
[    24.738] (WW) Ignoring unrecognized extension "Composite"
[    24.738] (**) Extension "RENDER" is enabled
[    24.738] (II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
[    24.738] (II) Module ABI versions:
[    24.738] 	X.Org ANSI C Emulation: 0.4
[    24.738] 	X.Org Video Driver: 24.0
[    24.738] 	X.Org XInput driver : 24.1
[    24.738] 	X.Org Server Extension : 10.0
[    24.741] (++) using VT number 1

[    24.741] (II) systemd-logind: logind integration requires -keeptty and -keeptty was not provided, disabling logind integration
[    24.748] (--) PCI:*(1@0:0:0) 1106:3118:1734:1078 rev 2, Mem @ 0xf0000000/67108864, 0xd1000000/16777216
[    24.748] (II) LoadModule: "glx"
[    24.819] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[    25.847] (II) Module glx: vendor="X.Org Foundation"
[    25.848] 	compiled for 1.20.0, module version = 1.0.0
[    25.848] 	ABI class: X.Org Server Extension, version 10.0
[    25.848] (II) LoadModule: "vesa"
[    25.886] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[    25.901] (II) Module vesa: vendor="X.Org Foundation"
[    25.901] 	compiled for 1.20.0, module version = 2.4.0
[    25.901] 	Module class: X.Org Video Driver
[    25.901] 	ABI class: X.Org Video Driver, version 24.0
[    25.901] (II) VESA: driver for VESA chipsets: vesa
[    25.901] (II) Loading sub module "vbe"
[    25.901] (II) LoadModule: "vbe"
[    25.902] (II) Loading /usr/lib/xorg/modules/libvbe.so
[    25.906] (II) Module vbe: vendor="X.Org Foundation"
[    25.906] 	compiled for 1.20.0, module version = 1.1.0
[    25.906] 	ABI class: X.Org Video Driver, version 24.0
[    25.906] (II) Loading sub module "int10"
[    25.906] (II) LoadModule: "int10"
[    25.906] (II) Loading /usr/lib/xorg/modules/libint10.so
[    25.915] (II) Module int10: vendor="X.Org Foundation"
[    25.915] 	compiled for 1.20.0, module version = 1.0.0
[    25.915] 	ABI class: X.Org Video Driver, version 24.0
[    25.916] (II) VESA(0): initializing int10
[    25.919] (WW) VESA(0): Unable to retrieve all of segment 0x0C0000.
[    25.919] (II) VESA(0): Bad V_BIOS checksum

#13

Nah, doesn’t work. During boot it freezes at:

[  ok  ] Started Network Manager Script Dispatcher Service.

#14

Ok, then you should try to chroot your installed system from the live session and downgrade xorg-server:

manjaro-chroot -a
pacman -Syuu xorg-server xorg-server-common
exit

Then reboot to the installed system.


#15

Nope, we’re still back to the black screen. New pacman.log:

[2018-05-24 23:55] [PACMAN] Running 'pacman -Syuu xorg-server xorg-server-common'
[2018-05-24 23:55] [PACMAN] synchronizing package lists
[2018-05-24 23:55] [PACMAN] starting full system upgrade
[2018-05-24 23:58] [ALPM] transaction started
[2018-05-24 23:58] [ALPM] reinstalled xorg-server-common (1.20.0-2.0)
[2018-05-24 23:58] [ALPM] upgraded lm_sensors (3.4.0-2 -> 3.4.0-3.0)
[2018-05-24 23:58] [ALPM] upgraded mesa (18.0.3-4.1 -> 18.0.4-1.0)
[2018-05-24 23:58] [ALPM] reinstalled xorg-server (1.20.0-2.0)
[2018-05-24 23:58] [ALPM] upgraded c-ares (1.13.0-1 -> 1.14.0-1.0)
[2018-05-24 23:58] [ALPM] upgraded cmake (3.11.1-1.0 -> 3.11.2-1.0)
[2018-05-24 23:58] [ALPM] upgraded gsm (1.0.17-1 -> 1.0.18-1.0)
[2018-05-24 23:58] [ALPM] upgraded libx264 (2:152.20171224-2.0 -> 2:152.20171224-2.1)
[2018-05-24 23:58] [ALPM] upgraded ffmpeg (1:4.0-2.0 -> 1:4.0-2.2)
[2018-05-24 23:58] [ALPM] upgraded fuse-common (3.2.2-2.0 -> 3.2.3-1.0)
[2018-05-24 23:58] [ALPM] upgraded fuse3 (3.2.2-2.0 -> 3.2.3-1.0)
[2018-05-24 23:58] [ALPM] upgraded glib-networking (2.56.0-1.0 -> 2.56.1-1.0)
[2018-05-24 23:58] [ALPM] upgraded ilmbase (2.2.1-1.0 -> 2.2.1-2.0)
[2018-05-24 23:58] [ALPM] installed ndctl (60.3-1.0)
[2018-05-24 23:58] [ALPM] upgraded libblockdev (2.16-1.0 -> 2.17-3.0)
[2018-05-24 23:59] [ALPM] upgraded libgphoto2 (2.5.17-1.0 -> 2.5.18-1.0)
[2018-05-24 23:59] [ALPM] upgraded libmagick6 (6.9.9.45-1.0 -> 6.9.9.47-1.0)
[2018-05-24 23:59] [ALPM] upgraded libx264-all (2:152.20171224-2.0 -> 2:152.20171224-2.1)
[2018-05-24 23:59] [ALPM] upgraded linux44 (4.4.131-2.0 -> 4.4.132-1)
[2018-05-24 23:59] [ALPM-SCRIPTLET] >>> Updating module dependencies. Please wait ...
[2018-05-24 23:59] [ALPM] upgraded ndiswrapper-utils (1.61-37 -> 1.61-38)
[2018-05-24 23:59] [ALPM] upgraded linux44-ndiswrapper (1.61-61 -> 1.61-62)
[2018-05-24 23:59] [ALPM] upgraded python-xdg (0.25-4 -> 0.26-1.0)
[2018-05-24 23:59] [ALPM] downgraded menulibre (1:2.1.0-1 -> 2.1.5-1)
[2018-05-24 23:59] [ALPM] upgraded mhwd-nvidia-390xx (390.48-1.1 -> 390.59-1)
[2018-05-24 23:59] [ALPM] upgraded ntp (4.2.8.p11-1.0 -> 4.2.8.p11-2.0)
[2018-05-24 23:59] [ALPM] upgraded procps-ng (3.3.14-1.1 -> 3.3.15-1.0)
[2018-05-24 23:59] [ALPM] upgraded rubygems (2.7.6-1.0 -> 2.7.7-1.0)
[2018-05-24 23:59] [ALPM] upgraded vte-common (0.52.1-1.0 -> 0.52.2-1.0)
[2018-05-24 23:59] [ALPM] upgraded vte3 (0.52.1-1.0 -> 0.52.2-1.0)
[2018-05-24 23:59] [ALPM] upgraded xfce4-whiskermenu-plugin (2.1.7-1.0 -> 2.2.0-1.0)
[2018-05-24 23:59] [ALPM] transaction completed
[2018-05-24 23:59] [ALPM] running '90-linux44.hook'...
[2018-05-24 23:59] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux44.preset: 'default'
[2018-05-24 23:59] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-4.4-i686 -c /etc/mkinitcpio.conf -g /boot/initramfs-4.4-i686.img
[2018-05-24 23:59] [ALPM-SCRIPTLET] ==> Starting build: 4.4.132-1-MANJARO
[2018-05-24 23:59] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2018-05-24 23:59] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2018-05-24 23:59] [ALPM-SCRIPTLET]   -> Running build hook: [autodetect]
[2018-05-24 23:59] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2018-05-24 23:59] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2018-05-24 23:59] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2018-05-24 23:59] [ALPM-SCRIPTLET]   -> Running build hook: [keymap]
[2018-05-24 23:59] [ALPM-SCRIPTLET]   -> Running build hook: [plymouth]
[2018-05-24 23:59] [ALPM-SCRIPTLET]   -> Running build hook: [resume]
[2018-05-24 23:59] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2018-05-24 23:59] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2018-05-24 23:59] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2018-05-24 23:59] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: /boot/initramfs-4.4-i686.img
[2018-05-24 23:59] [ALPM-SCRIPTLET] ==> Image generation successful
[2018-05-24 23:59] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux44.preset: 'fallback'
[2018-05-24 23:59] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-4.4-i686 -c /etc/mkinitcpio.conf -g /boot/initramfs-4.4-i686-fallback.img -S autodetect
[2018-05-24 23:59] [ALPM-SCRIPTLET] ==> Starting build: 4.4.132-1-MANJARO
[2018-05-24 23:59] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2018-05-24 23:59] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2018-05-24 23:59] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2018-05-24 23:59] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2018-05-24 23:59] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2018-05-24 23:59] [ALPM-SCRIPTLET]   -> Running build hook: [keymap]
[2018-05-24 23:59] [ALPM-SCRIPTLET]   -> Running build hook: [plymouth]
[2018-05-24 23:59] [ALPM-SCRIPTLET]   -> Running build hook: [resume]
[2018-05-24 23:59] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2018-05-24 23:59] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2018-05-24 23:59] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2018-05-24 23:59] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: /boot/initramfs-4.4-i686-fallback.img
[2018-05-25 00:00] [ALPM-SCRIPTLET] ==> Image generation successful
[2018-05-25 00:00] [ALPM] running '99-grub.hook'...
[2018-05-25 00:00] [ALPM-SCRIPTLET] Generating grub configuration file ...
[2018-05-25 00:00] [ALPM-SCRIPTLET] Found background: /usr/share/grub/background.png
[2018-05-25 00:00] [ALPM-SCRIPTLET] Found Intel Microcode image
[2018-05-25 00:00] [ALPM-SCRIPTLET] Found linux image: /boot/vmlinuz-4.4-i686
[2018-05-25 00:00] [ALPM-SCRIPTLET] Found initrd image: /boot/initramfs-4.4-i686.img
[2018-05-25 00:00] [ALPM-SCRIPTLET] Found initrd fallback image: /boot/initramfs-4.4-i686-fallback.img
[2018-05-25 00:00] [ALPM-SCRIPTLET] Found memtest86+ image: /boot/memtest86+/memtest.bin
[2018-05-25 00:00] [ALPM-SCRIPTLET] done
[2018-05-25 00:00] [ALPM] running 'gio-querymodules.hook'...
[2018-05-25 00:00] [ALPM] running 'gtk-update-icon-cache.hook'...
[2018-05-25 00:00] [ALPM] running 'systemd-daemon-reload.hook'...
[2018-05-25 00:00] [ALPM-SCRIPTLET]   Skipped: Current root is not booted.
[2018-05-25 00:00] [ALPM] running 'systemd-hwdb.hook'...
[2018-05-25 00:00] [ALPM] running 'systemd-sysusers.hook'...
[2018-05-25 00:00] [ALPM] running 'systemd-udev-reload.hook'...
[2018-05-25 00:00] [ALPM-SCRIPTLET]   Skipped: Device manager is not running.
[2018-05-25 00:00] [ALPM] running 'systemd-update.hook'...
[2018-05-25 00:00] [ALPM] running 'update-desktop-database.hook'...
[2018-05-25 00:00] [ALPM] running 'update-mime-database.hook'...

#16

Did you get the black screen before you reinstalled xorg-server? The log looks ambiguous.
You need to get xorg-server 1.19.x and try with that one. Otherwise the theory that the last update caused the issue must be given up.


#17

I don’t understand your question. The black screen has been here all along, both before and after reinstalling xorg-server. That is why we are having such fun.

I booted live session and found an older Xorg in the cache, so did:

manjaro-chroot -a
cd /var/cache/pacman/pkg
sudo pacman -U xorg-server-common-1.19.6-2.1-i686.pkg.tar.xz
sudo pacman -U xorg-server-1.19.6-2.1-i686.pkg.tar.xz

It then says:

xorg-server and xf86-video-vesa are in conflict. Remove xf86-video-vesa? [y/N]

I removed, because otherwise pacman would not continue. Then exit. Still, after reboot, the black screen.

I am ready to give up and just reinstall system from scratch. Or maybe you see something wrong with my pacman downgrade command?


#18

You downgraded xorg-server* correctly. There seems to be a problem with the package xf86-video-vesa. I need to reboot to manjaro32.
Can you either boot to the terminal (at grub press e, add ‘3’, Ctrl+X) or chroot the system from live USB and then try:
mhdw -i pci video-openchrome
then reboot.

If that doesn’t give you a GUI thenit is still possible to downgrade xf86-video-vesa the way you downgraded xorg-server.


#19

Following your advice:

[root@manjaro /]# mhwd -i pci video-openchrome
> Installing video-openchrome...
Sourcing /var/lib/mhwd/db/pci/graphic_drivers/xf86-video-openchrome/MHWDCONFIG
Processing classid: 0300
Sourcing /var/lib/mhwd/scripts/include/0300
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
resolving dependencies...
looking for conflicting packages...
:: xf86-video-openchrome and xorg-server are in conflict. Remove xorg-server? [y/N] error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)

:: xf86-video-openchrome and xorg-server are in conflict (xorg-server<1.20)
Error: pacman failed!
Error: script failed!
[root@manjaro /]#

#20

downgrade xorg-server and xorg-server-common. I thought you did.